## python-dsv 1.4.1

=== debian/changelog ===
python-dsv (1.4.1-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Convert git repository from git-dpm to gbp layout
  * d/watch: Use https protocol

  [ Aaron M. Ucko ]
  * debian/control: Standards-Version: 4.3.0 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 26 Feb 2019 21:55:29 -0500

python-dsv (1.4.1-6) unstable; urgency=medium

  * debian/control:
    - Build depend on split-out 2to3.  (Closes: #884668.)
    - Rules-Requires-Root: no.
    - Standards-Version: 4.1.2 (already compliant).
  * debian/rules (override_dh_auto_clean): Restore DSV/DSV.py from .bak if
    present, to allow for repeated builds with no intervention.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 20 Dec 2017 18:52:23 -0500

python-dsv (1.4.1-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Aaron M. Ucko ]
  * Generally canonicalize debian/control with the help of cme fix.  In
    particular, declare Standards-Version: 3.9.8 (already compliant, not
    that cme checked).
  * Advance to debhelper compat level 9.
  * Add a .gitignore file under debian.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 24 Jan 2017 22:40:16 -0500

python-dsv (1.4.1-4) experimental; urgency=medium

  * debian/control:
    - Declare all build depends recommended at
      https://wiki.debian.org/Python/LibraryStyleGuide .
    - Explicitly note that the current binary package is for Python 2.
    - Add a stanza for an (experimental) Python 3 binary package.
    - Standards-Version: 3.9.6.  (Already compliant.)
  * debian/rules:
    - Build with pybuild.
    - Cover Python 3 with the help of 2to3.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 18 Aug 2015 07:56:48 -0400

python-dsv (1.4.1-3) unstable; urgency=medium

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Aaron M. Ucko ]
  * debian/control:
    - Suggest python-wxgtk3.0 over 2.8.
    - Standards-Version: 3.9.5.  (Already compliant.)
  * debian/patches/04-wx3.0-compat.patch (new): Make the import dialog and
    its demo play better with wxPython 3.0.  (Closes: #759076.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 27 Aug 2014 23:33:10 -0400

python-dsv (1.4.1-2) unstable; urgency=low

  * debian/source/format: advance to 3.0 (quilt).
  * debian/README.source: retire accordingly.
  * debian/rules:
    - Simplify accordingly; now fully minimal.
    - Invoke dh --with python2.
  * debian/control:
    - Tighten build dependency on python to (>= 2.6.6-3~) for dh_python2.
    - Drop build dependencies on python-support and quilt, now superfluous.
    - Formally set Provides: ${python:Provides}.
    - Retire alternative suggestion of python-wxgtk2.6, now obsolescent.
    - Advance Standards-Version to 3.9.2.  (Already compliant.)
    - Tighten build dependency on debhelper to (>= 8).
  * debian/compat: proceed to advance to 8, the currently recommended level.
  * debian/pycompat: belatedly retire as obsolete.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 22 Oct 2011 21:17:37 -0400

python-dsv (1.4.1-1) unstable; urgency=low

  [ Aaron M. Ucko ]
  * New upstream release.
  * debian/patches/*.patch: formally refresh.  (All still apply.)
  * debian/control:
    - Suggest python-wxgtk2.8 as a preferred alternative to 2.6.
    - Depend on ${misc:Depends} in case Debhelper ever populates it.
    - Eliminate spurious build-dependency on python-dev (vs. python).
    - Note (preexisting) compliance with Policy version 3.8.3.
  * debian/examples: retire (contents no longer shipped upstream).
  * debian/NEWS (new): note minor incompatible API change.
  * debian/rules: minimize further.

  [Carlos Galisteo]
  * debian/control:
    - Added Homepage field.

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 26 Jan 2010 22:14:29 -0500

python-dsv (1.4.0-7) unstable; urgency=low

  * Migrate from CDBS's simple-patchsys to quilt.
  * Migrate altogether from CDBS to Debhelper 7.
  * Add a README.source pointing to quilt's.
  * Declare compliance with Policy 3.8.0.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 11 Jun 2008 19:50:12 -0400

python-dsv (1.4.0-6) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Aaron M. Ucko ]
  * Formally advance to Debhelper 6 on principle.
  * Declare compliance with Policy 3.7.3; no changes needed.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 29 Mar 2008 19:01:54 -0400

python-dsv (1.4.0-5) unstable; urgency=low

  [Piotr Ożarowski]
  * Fix typo in XS-Vcs-Svn: control field (misconverted from +ssh version)

  [Aaron M. Ucko]
  * debian/patches/02-wx-namespace-transition.patch (new, via Joe Pham
    <djpham@bitpim.org>): use the modern wx package rather than the
    clunkier wxPython package, which wxWidgets 2.8 will no longer provide.
  * debian/patches/03-avoid-unicoditis.patch (new): Try to convert Unicode
    delimiters back to ASCII (wxPython can be overenthusiastic), but
    ultimately support either.
  * Supply XS-Vcs-Browser in addition to XS-Vcs-Svn.

 -- Aaron M. Ucko <ucko@debian.org>  Fri,  4 May 2007 20:02:56 -0400

python-dsv (1.4.0-4) unstable; urgency=low

  * Stop suggesting python-wxgtk2.4, which is obsolete and no longer
    installable.  (Closes: #391992.)
  * Update for recent Python policy tweaks.
  * Add an XS-Vcs-Svn field (pointing to svn.debian.org).

 -- Aaron M. Ucko <ucko@debian.org>  Mon,  9 Oct 2006 19:49:03 -0400

python-dsv (1.4.0-3) unstable; urgency=low

  * Patch DSV.py indirectly, via CDBS's simple patch system, in preparation
    for switching to pure merge-with-upstream mode per DPMT conventions.
  * Tweak packaging to comply with the new Python policy (version 0.4);
    continue using python-support, as python-central is overkill here.
    (Closes: #373530.)
  * Standards-Version: 3.7.2 (no changes required).

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 14 Jun 2006 20:21:56 -0400


