=== debian/control ===
Source: python-dsv
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Aaron M. Ucko <ucko@debian.org>
Section: python
Priority: optional
Build-Depends: 2to3,
               debhelper (>= 9~),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-dsv
Vcs-Git: https://salsa.debian.org/python-team/modules/python-dsv.git
Homepage: http://python-dsv.sourceforge.net/
Rules-Requires-Root: no

Package: python-dsv
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-wxgtk3.0 | python-wxgtk2.8
Provides: ${python:Provides}
Description: Python module for delimiter-separated-value files (Python 2)
 Python-DSV is an alternative to Python's standard csv module, with
 somewhat different usage and optional support for wxWidgets-mediated
 user interaction in the course of format autodetection.  Like the
 standard module, it supports a wide range of delimiters and handles
 both import and export.
 .
 This package installs the library for Python 2.

Package: python3-dsv
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python3-wxgtk3.0
Provides: ${python3:Provides}
Description: Python module for delimiter-separated-value files (Python 3)
 Python-DSV is an alternative to Python's standard csv module, with
 somewhat different usage and optional support for wxWidgets-mediated
 user interaction in the course of format autodetection.  Like the
 standard module, it supports a wide range of delimiters and handles
 both import and export.
 .
 This package installs the library for Python 3.
