=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = dsv
export PYBUILD_BEFORE_BUILD_python3 = 2to3 -w DSV/DSV.py

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	[ ! -f DSV/DSV.py.bak ]  ||  mv -v DSV/DSV.py.bak DSV/DSV.py
	dh_auto_clean
