=== debian/watch ===
# See uscan(1) for format
version=3
https://sf.net/python-dsv/DSV-(.*)\.tar\.gz
